Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
Class DOMCategory

    java.lang.Object
      groovy.xml.dom.DOMCategory

    public class DOMCategory
    extends Object

Author:
  sam, paulk

Constructor Summary
Constructor and Description
`DOMCategory()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static Element` | `appendNode(Element self, Object name)`
`static Element` | `appendNode(Element self, Object name, Map attributes)`
`static Element` | `appendNode(Element self, Object name, Map attributes, String value)`
`static Element` | `appendNode(Element self, Object name, String value)`
`static NamedNodeMap` | `attributes(Element element)`
`static NodeList` | `breadthFirst(Element self)`
`static NodeList` | `children(Element self)`
`static NodeList` | `depthFirst(Element self)`
`static Object` | `get(Element element, String elementName)`
`static Object` | `get(NamedNodeMap nodeMap, String elementName)`
`static Object` | `get(NodeList nodeList, String elementName)`
`static Node` | `getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o, int i)`
`static NodeList` | `getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o, IntRange r)`
`static Node` | `getAt(groovy.xml.dom.DOMCategory.NodesHolder o, int i)`
`static NodeList` | `getAt(groovy.xml.dom.DOMCategory.NodesHolder o, IntRange r)`
`static Node` | `getAt(Node o, int i)`
`static NodeList` | `getAt(Node o, IntRange r)`
`static boolean` | `isEmpty(NodeList self)`
`static List` | `list(NodeList self)`
`static String` | `name(Element element)`
`static Node` | `parent(Node node)`
`static void` | `plus(Element self, Closure c)`
`static void` | `plus(NodeList self, Closure c)`
`static void` | `putAt(Element self, String property, Object value)`
`static Element` | `replaceNode(groovy.xml.dom.DOMCategory.NodesHolder self, Closure c)`
`static Element` | `replaceNode(Element self, Closure c)`
`static void` | `setValue(Element self, String value)`
`static int` | `size(NamedNodeMap namedNodeMap)`
`static int` | `size(NodeList self)`
`static String` | `text(Node node)`
`static String` | `text(NodeList nodeList)`
`static String` | `toString(Object o)`
`static String` | `xpath(Node self, String expression)`
`static Object` | `xpath(Node self, String expression, QName returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMCategory

    public DOMCategory()

Method Detail

### get

    public static Object get(Element element,
                             String elementName)

### get

    public static Object get(NodeList nodeList,
                             String elementName)

### get

    public static Object get(NamedNodeMap nodeMap,
                             String elementName)

### attributes

    public static NamedNodeMap attributes(Element element)

### size

    public static int size(NamedNodeMap namedNodeMap)

### getAt

    public static Node getAt(Node o,
                             int i)

### getAt

    public static Node getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o,
                             int i)

### getAt

    public static Node getAt(groovy.xml.dom.DOMCategory.NodesHolder o,
                             int i)

### getAt

    public static NodeList getAt(Node o,
                                 IntRange r)

### getAt

    public static NodeList getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o,
                                 IntRange r)

### getAt

    public static NodeList getAt(groovy.xml.dom.DOMCategory.NodesHolder o,
                                 IntRange r)

### name

    public static String name(Element element)

### parent

    public static Node parent(Node node)

### text

    public static String text(Node node)

### text

    public static String text(NodeList nodeList)

### list

    public static List list(NodeList self)

### depthFirst

    public static NodeList depthFirst(Element self)

### setValue

    public static void setValue(Element self,
                                String value)

### putAt

    public static void putAt(Element self,
                             String property,
                             Object value)

### appendNode

    public static Element appendNode(Element self,
                                     Object name)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     Map attributes)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     String value)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     Map attributes,
                                     String value)

### replaceNode

    public static Element replaceNode(groovy.xml.dom.DOMCategory.NodesHolder self,
                                      Closure c)

### replaceNode

    public static Element replaceNode(Element self,
                                      Closure c)

### plus

    public static void plus(Element self,
                            Closure c)

### plus

    public static void plus(NodeList self,
                            Closure c)

### breadthFirst

    public static NodeList breadthFirst(Element self)

### children

    public static NodeList children(Element self)

### toString

    public static String toString(Object o)

### xpath

    public static Object xpath(Node self,
                               String expression,
                               QName returnType)

### xpath

    public static String xpath(Node self,
                               String expression)

### size

    public static int size(NodeList self)

### isEmpty

    public static boolean isEmpty(NodeList self)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD